During OAM Upgrade/Install of 11.1.2.2.0, configureSecurityStore.py Command Fails with "Problem invoking WLST" (Doc ID 1958570.1)

Last updated on SEPTEMBER 23, 2016

Applies to:

Oracle Access Manager - Version 11.1.2.2.0 and later
Information in this document applies to any platform.

Symptoms

Environment: Upgrading Oracle Access Manager (OAM) 11.1.1.5 to OAM 11.1.2.2.0 or installing new OAM 11.1.2.2.0

While configuring Oracle Platform Security Services (OPSS) with a create option command syntax similar to;

/u01/Oracle/Middleware/oracle_common/common/bin/wlst.sh /o/oracle/middleware/wlsiam/Oracle_IDM1/common/tools/configureSecurityStore.py -v -d /o/oracle/middleware/wlsiam/user_projects/domains/iam_domain -c IAM -p idmdevr2 -m create

It fails with the following error;

Type help() for help on available commands

Problem invoking WLST - Traceback (innermost last):
  File "/u01/Oracle/Middleware/Oracle_IDM1/common/tools/configureSecurityStore.py", line 41, in ?
  File "/u01/Oracle/Middleware/wlserver_10.3/common/wlst/modules/jython-modules.jar/Lib/javaos$py.class", line 256, in __getitem__
  File "/u01/Oracle/Middleware/wlserver_10.3/common/wlst/modules/jython-modules.jar/Lib/UserDict$py.class", line 14, in __getitem__
  File "/u01/Oracle/Middleware/wlserver_10.3/common/wlst/modules/jython-modules.jar/Lib/javaos$py.class", line 256, in __getitem__
  File "/u01/Oracle/Middleware/wlserver_10.3/common/wlst/modules/jython-modules.jar/Lib/UserDict$py.class", line 14, in __getitem__
KeyError: COMMON_COMPONENTS_HOME

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms